"use strict";

const template = require("@babel/template").default;

const unpackExpression = require("../util/unpack-expression");

let tmplLazyWrapper = template(`(
	$$jsNix$memoize(() => %%expression%%)
)`);

module.exports = function lazyWrapper(expression) {
	return unpackExpression(tmplLazyWrapper({
		expression: expression
	}));
};
